Page MenuHomePhabricator

Improvements to Wikistats2 chart popups
Open, HighPublic13 Story Points

Description

From @Nuria :

  • Overlay with point values keeps on displaying even when cursor is no longer on top of graph. It should disappear. F17054773

Also:

  • Unify the aspect of popups for all chart types: map, line, bars
  • Bar chart popup does not work visually for very short bars, is lost in the white of teh background, and the arrow is not visible.
  • Line chart popup blocks visibility of lines: we should make line chart popup dynamic

Event Timeline

Nuria created this task.Apr 17 2018, 11:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2018, 11:35 PM

Overlay with point values keeps on displaying even when cursor is no longer on top of graph. It should disappear.

fdans triaged this task as Normal priority.Apr 19 2018, 4:44 PM
fdans moved this task from Incoming to Mentoring on the Analytics board.
Nuria raised the priority of this task from Normal to High.Apr 19 2018, 6:19 PM
sahil505 updated the task description. (Show Details)Jun 21 2018, 5:32 PM
mforns added a comment.Jul 5 2018, 2:20 PM

This happens in both bar-chart and line-chart.

mforns renamed this task from When cursor is out of graph overlay should not display to Improvements to Wikistats2 chart popups.Jul 5 2018, 2:40 PM
mforns updated the task description. (Show Details)
mforns added a comment.Jul 6 2018, 2:23 PM
  • have the popup be the same component for all charts, that receives the data.

libraries that can help:

sahil505 claimed this task.Jul 7 2018, 5:34 PM
sahil505 added a project: Analytics-Kanban.
sahil505 set the point value for this task to 13.
sahil505 updated the task description. (Show Details)Jul 19 2018, 3:08 PM
sahil505 updated the task description. (Show Details)
sahil505 updated the task description. (Show Details)Jul 28 2018, 7:10 AM
sahil505 updated the task description. (Show Details)Jul 28 2018, 7:44 AM

Change 448852 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Hide overlay when the cursor is no longer on top of graph

https://gerrit.wikimedia.org/r/448852

Change 449029 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Made Bar-chart popup dynamic

https://gerrit.wikimedia.org/r/449029

Change 449029 merged by Milimetric:
[analytics/wikistats2@master] Made Bar-chart popup dynamic

https://gerrit.wikimedia.org/r/449029

Nuria moved this task from In Progress to Paused on the Analytics-Kanban board.Oct 19 2018, 2:52 AM
Nuria removed a project: Analytics-Kanban.

Change 448852 abandoned by Mforns:
Hide overlay when the cursor is no longer on top of graph

Reason:
After refactors, this code is obsolete, sorry.

https://gerrit.wikimedia.org/r/448852